#ifndef ALARMINFOW_H
#define ALARMINFOW_H

#include <QTreeView>

class CumbiaPool;
class CuControlsFactoryPool;
class CuData;

class AlarmInfoW : public QTreeView
{
    Q_OBJECT
public:
    AlarmInfoW(QWidget *parent, CumbiaPool *cu_pool, const CuControlsFactoryPool& fpoo);

public slots:
    void update(const CuData& da);
    void activate(const QString&dev, const QString &arg);

private slots:
    void onItemClicked(const QModelIndex &mi);
    void onItemEntered(const QModelIndex &mi);

signals:
    void urlClicked(const QString& url);
private:

    QString m_line_break(const QString& s , int linelen) const;
};

#endif // ALARMINFOW_H
